org.eclipse.microprofile.context.tck.contexts.priority.spi

## Class ThreadPrioritySnapshot

- java.lang.Object
- - org.eclipse.microprofile.context.tck.contexts.priority.spi.ThreadPrioritySnapshot

All Implemented Interfaces:
  ThreadContextSnapshot

    public class ThreadPrioritySnapshot
    extends Object
    implements ThreadContextSnapshot

Represents a saved copy of 'thread priority' context.

### Method Summary

All Methods Instance Methods Concrete Methods
`ThreadContextController` `begin()` Apply the saved thread priority to the current thread, but first storing a copying of the thread priority that was previously on the thread so that the previous thread priority can later be restored via the returned ThreadContextController.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### begin

    public ThreadContextController begin()

Apply the saved thread priority to the current thread, but first storing a copying of the thread priority that was previously on the thread so that the previous thread priority can later be restored via the returned ThreadContextController.

Specified by:
  `begin` in interface `ThreadContextSnapshot`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`